#### 7.10.3.5 teach_lpGkDim

Procedure from library `fpaprops.lib` (see fpaprops_lib).

Usage:
  teach_lpGkDim(G); G an ideal in a letterplace ring

Return:
  int

Purpose:
  Determines the Gelfand Kirillov dimension of A/<G>
  -1 means positive infinite

Assume:
  - basering is a Letterplace ring
  - G is a Groebner basis

Example:

    LIB "fpaprops.lib";
    ring r = 0,(x,y,z),dp;
    def R = freeAlgebra(r, 5); // constructs a Letterplace ring
    R;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 15
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z x y z x y z x y z x y z
    ==> //        block   2 : ordering C
    ==> // letterplace ring (block size 3, ncgen count 0)
    setring R; // sets basering to Letterplace ring
    ideal I = z;//an example of infinite GK dimension
    teach_lpGkDim(I);
    ==> -1
    I = x,y,z; // gkDim = 0
    teach_lpGkDim(I);
    ==> 0
    I = x*y, x*z, z*y, z*z;//gkDim = 2
    teach_lpGkDim(I);
    ==> 2
    ideal G = y*x - x*y, z*x - x*z, z*y - y*z; G = std(G);
    G;
    ==> G[1]=z*y-y*z
    ==> G[2]=z*x-x*z
    ==> G[3]=y*x-x*y
    teach_lpGkDim(G); // 3, as expected for K[x,y,z]
    ==> 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.